Bug Hunting Session
Bug 99498 - rtf table trwwidth support
Summary: rtf table trwwidth support
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.2.0 target:5.1.4
Keywords:
Depends on:
Blocks: Matters-to-Caolan
  Show dependency treegraph
 
Reported: 2016-04-25 16:19 UTC by Caolán McNamara
Modified: 2016-10-25 19:02 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
cut down example (774 bytes, text/rtf)
2016-04-25 16:19 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Caolán McNamara 2016-04-25 16:19:11 UTC
Created attachment 124628 [details]
cut down example

This example rtf uses trwwidth to attempt to set the width of a table row. Currently we import it as super narrow columns. The intent seems to be an approx 16cm wide table.

caolanm->vmiklos: Is there something we could do to make this "just work" ?
Comment 1 raal 2016-04-26 04:57:42 UTC
confim on master. in word is table 16,06 cm width.
Comment 2 Caolán McNamara 2016-04-27 14:02:57 UTC
I have a plausible solution at https://gerrit.libreoffice.org/#/c/24430/
Comment 3 Commit Notification 2016-04-27 16:32:56 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b71f470e370c1819cba99abe5ef654d28bbf8749

Resolves: tdf#99498 don't overwrite trwWidth value if set on a table

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2016-04-28 07:37:36 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9dbeb401b1f8f9b89a1ab477a566cbf42967c8a&h=libreoffice-5-1

Resolves: tdf#99498 don't overwrite trwWidth value if set on a table

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.